Subject: Re: [PATCH] Add Wake on LAN support to sis900 (2)

From: John Reiser <[email-masked]>
Date: Fri, 24 Feb 2006 16:08:10 -0800

Daniele Venzano wrote:
> Attached you find the patch that fixes two bugs in the WoL 
> implementation of sis900. The first causes hangs on some system on 
> driver load, the second causes troubles when disabling WoL support. 
> Both fixes are one liner and really simple. Patch is against latest 
> netdev-2.6 tree.

Thank you for your prompt attention.  The patch works for me
(my SiS 730 board now boots again) when applied to Fedora Core
kernel-2.6.15-1.1977_FC5 which claims to be 2.6.16rc4-git6
of 2006-02-23.

--